public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Remi Collet <remi@fedoraproject.org>
To: git-commits@fedoraproject.org
Subject: [rpms/phpunit10] f43: v10.5.64
Date: Tue, 07 Jul 2026 05:53:04 GMT	[thread overview]
Message-ID: <178340358473.1.74991191967085014.rpms-phpunit10-7482af7f8c10@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : rpms/phpunit10
            Branch : f43
            Commit : 7482af7f8c10e770c2179d7be4f18145082bd88b
            Author : Remi Collet <remi@fedoraproject.org>
            Date   : 2026-07-07T07:52:57+02:00
            Stats  : +23/-33 in 4 file(s)
            URL    : https://src.fedoraproject.org/rpms/phpunit10/c/7482af7f8c10e770c2179d7be4f18145082bd88b?branch=f43

            Log:
            v10.5.64

(cherry picked from commit 501b00d3c5ddcfd995ccf390a7518da78220347d)

---
diff --git a/.gitignore b/.gitignore
index 7883b24..3707ed2 100644
--- a/.gitignore
+++ b/.gitignore
@@ -60,3 +60,4 @@
 /phpunit10-10.5.59-c47fe00.tgz
 /phpunit10-10.5.61-bd265b6.tgz
 /phpunit10-10.5.63-3319826.tgz
+/phpunit10-10.5.64.tgz

diff --git a/makesrc.sh b/makesrc.sh
index 04ad6a0..59cf430 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -1,37 +1,27 @@
 #!/bin/bash
 
 NAME=$(basename $PWD)
-DATE=$(sed    -n '/^%global gh_date/{s/.* //;p}'    $NAME.spec)
 OWNER=$(sed   -n '/^%global gh_owner/{s/.* //;p}'   $NAME.spec)
 PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
-VERSION=$(sed -n '/^%global upstream_version/{s/.* //;p}' $NAME.spec)
-MAJOR=$(sed   -n '/^%global ver_major/{s/.* //;p}'  $NAME.spec)
-MINOR=$(sed   -n '/^%global ver_minor/{s/.* //;p}'  $NAME.spec)
-COMMIT=$(sed  -n '/^%global gh_commit/{s/.* //;p}'  $NAME.spec)
-SHORT=${COMMIT:0:7}
+VERSION=$(sed -n '/^Version:/{s/.* //;p}'           $NAME.spec)
 
-DATE=$(date -d "$DATE -1 week" +%Y-%m-%d)
-
-if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
-	echo "$NAME-$VERSION-$SHORT.tgz already there"
+if [ -f $NAME-$VERSION.tgz ]; then
+	echo "$NAME-$VERSION.tgz already there"
 else
-	echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION, Date=$DATE\n"
+	echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION	\n"
 
 	echo "Cloning..."
-	rm -rf $PROJECT-$COMMIT
-	git clone --branch $MAJOR.$MINOR --shallow-since=$DATE https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT || exit 1
+	rm -rf $PROJECT-$VERSION
+	git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
 
-	echo "Getting commit..."
-	pushd $PROJECT-$COMMIT
-		git checkout $COMMIT || exit 1
-		cp composer.json ../composer.json
-	popd
+	echo "Getting composer..."
+	cp $PROJECT-$VERSION/composer.json composer.json
 
 	echo "Archiving..."
-	tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs --exclude tools $PROJECT-$COMMIT
+	tar czf $NAME-$VERSION.tgz --exclude-vcs --exclude tools $PROJECT-$VERSION
 
 	echo "Cleaning..."
-	rm -rf $PROJECT-$COMMIT
+	rm -rf $PROJECT-$VERSION
 
 	echo "Done."
 fi

diff --git a/phpunit10.spec b/phpunit10.spec
index ddf0540..4b2494b 100644
--- a/phpunit10.spec
+++ b/phpunit10.spec
@@ -16,9 +16,6 @@
 %bcond_with          defcmd
 %endif
 
-%global gh_commit    33198268dad71e926626b618f3ec3966661e4d90
-%global gh_date      2026-01-27
-%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
 %global gh_owner     sebastianbergmann
 %global gh_project   phpunit
 # Packagist
@@ -30,18 +27,15 @@
 %global ver_major    10
 %global ver_minor    5
 
-%global upstream_version 10.5.63
-#global upstream_prever  dev
-
 Name:           %{pk_project}%{ver_major}
-Version:        %{upstream_version}%{?upstream_prever:~%{upstream_prever}}
+Version:        10.5.64
 Release:        1%{?dist}
 Summary:        The PHP Unit Testing framework version %{ver_major}
 
 License:        BSD-3-Clause
 URL:            https://github.com/%{gh_owner}/%{gh_project}
 # run makesrc.sh to create a git snapshot with test suite
-Source0:        %{name}-%{upstream_version}-%{gh_short}.tgz
+Source0:        %{name}-%{version}.tgz
 Source1:        makesrc.sh
 
 # Fix command for autoload
@@ -80,10 +74,10 @@ BuildRequires:  php-fedora-autoloader-devel >= 1.0.0
 # From composer.json, "require": {
 #        "php": ">=8.1",
 #        "ext-dom": "*",
+#        "ext-filter": "*",
 #        "ext-json": "*",
 #        "ext-libxml": "*",
 #        "ext-mbstring": "*",
-#        "ext-xml": "*",
 #        "ext-xmlwriter": "*",
 #        "myclabs/deep-copy": "^1.13.4",
 #        "phar-io/manifest": "^2.0.4",
@@ -110,7 +104,6 @@ Requires:       php-dom
 Requires:       php-json
 Requires:       php-libxml
 Requires:       php-mbstring
-Requires:       php-xml
 Requires:       php-xmlwriter
 Requires:       (php-composer(myclabs/deep-copy) >= 1.13.4            with php-composer(myclabs/deep-copy) <  2)
 Requires:       (php-composer(phar-io/manifest) >= 2.0.4              with php-composer(phar-io/manifest) < 3)
@@ -137,6 +130,7 @@ Suggests:       php-soap
 # recommends latest versions
 Recommends:     phpunit11
 Recommends:     phpunit12
+Recommends:     phpunit13
 # Autoloader
 Requires:       php-composer(fedora/autoloader)
 # From phpcompatinfo report for version 10.0.0
@@ -146,6 +140,8 @@ Requires:       php-phar
 
 %if 0%{?fedora} >= 39 || 0%{?rhel} >= 10
 Provides:       php-composer(phpunit/phpunit) = %{version}
+%endif
+%if %{with defcmd}
 Provides:       phpunit                       = %{version}-%{release}
 %endif
 
@@ -161,7 +157,7 @@ Documentation: https://phpunit.de/documentation.html
 
 
 %prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
 %patch -P0 -p0 -b .rpm
 
 find . -name \*.rpm -delete -print
@@ -244,7 +240,7 @@ sed -e 's:@PATH@:%{buildroot}%{php_home}/%{ns_vendor}:' -i tests/bootstrap.php
 sed -e 's:%{php_home}/%{ns_vendor}:%{buildroot}%{php_home}/%{ns_vendor}:' -i phpunit
 
 ret=0
-for cmd in php php82 php83 php84 php85; do
+for cmd in php php82 php83 php84 php85 php86; do
   if which $cmd; then
      $cmd ./phpunit $OPT || ret=1
   fi
@@ -265,6 +261,9 @@ exit $ret
 
 
 %changelog
+* Tue Jul  7 2026 Remi Collet <remi@remirepo.net> - 10.5.64-1
+- update to 10.5.64
+
 * Tue Jan 27 2026 Remi Collet <remi@remirepo.net> - 10.5.63-1
 - update to 10.5.63
 

diff --git a/sources b/sources
index 7d3d83d..2972833 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-SHA512 (phpunit10-10.5.63-3319826.tgz) = 0ffe793c2b1ddaea9a4fd02ef22f9814d40bd45c2f59ee2ea99c457849b6acdfe98609d7d2f4446d1d067edb7eb9ea453a2207ef751ecb74406a0b29e29e5d6d
+SHA512 (phpunit10-10.5.64.tgz) = 4b72af2b2cb572bef5d57baf8da9498bdb58337b7faae881590798e487076c90f4eddda3d3939b275cabe14b8f5d9de8c2429dca4a2ad813f1a8d59a9d65377f

                 reply	other threads:[~2026-07-07  5:53 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178340358473.1.74991191967085014.rpms-phpunit10-7482af7f8c10@fedoraproject.org \
    --to=remi@fedoraproject.org \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox